/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2020. All rights reserved.
 */
# //
//  Huawei ideaShare Wapper SDK
//
//  Copyright (c) 2020 Huawei.io. All rights reserved.

#ifndef IDEA_CONTROLLER_H
#define IDEA_CONTROLLER_H
#ifndef IDEA_SHARE_EXPORT
#define IDEA_SHARE_EXPORT
#endif

#include "IEventHandler.h"
#include "IdeaShareDef.h"
#include <string>
using namespace std;

class IDEA_SHARE_API IServiceController {
public:
    virtual int Create(const AppInfo &appInfo, IEventHandler* eventHandler) = 0;
    virtual int Destory() = 0;
    virtual ~IServiceController() {}
private:
    // ԤӿڣEMUI
    virtual std::string GetKitVersion() { return "v1.0.0";}
    virtual bool HasFeature(std::string feature) { return true; }
};

#endif